Bug 478763 - Pulseaudio crashes
Pulseaudio crashes
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 13:32 EST by Espen Stefansen
Modified: 2009-01-07 10:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 14:38:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio -vvv (14.67 KB, text/plain)
2009-01-04 13:32 EST, Espen Stefansen
no flags Details

  None (edit)
Description Espen Stefansen 2009-01-04 13:32:32 EST
Created attachment 328148 [details]
pulseaudio -vvv

Description of problem:
Pulseaudio has a tendency to crash at least once a day, when starting a movie. And I get the following in /var/log/messages:

pulseaudio[1028]: module-alsa-sink.c: Error opening PCM device front:0: Unit or resource busy
pulseaudio[1028]: sink-input.c: Assertion 'i->thread_info.rewrite_nbytes == 0' failed at pulsecore/sink-input.c:1150, function pa_sink_input_request_rewind(). Aborting.

To get sound, I have to log out and then in again. Starting pulseaudio through a terminal doesn't help. It just says resource busy.

lspci -v:
00:1e.2 Multimedia audio controller: Intel Corporation 82801G (ICH7 Family) AC'97 Audio Controller (rev 01)
	Subsystem: Dell OptiPlex GX620
	Flags: bus master, medium devsel, latency 0, IRQ 23
	I/O ports at ec00 [size=256]
	I/O ports at e8c0 [size=64]
	Memory at febffa00 (32-bit, non-prefetchable) [size=512]
	Memory at febff900 (32-bit, non-prefetchable) [size=256]
	Capabilities: [50] Power Management version 2
	Kernel driver in use: Intel ICH
	Kernel modules: snd-intel8x0


Version-Release number of selected component (if applicable):
alsa-lib-1.0.18-6.rc3.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
alsa-utils-1.0.18-6.fc10.i386
pulseaudio-0.9.13-6.fc10.i386
pulseaudio-core-libs-0.9.13-6.fc10.i386
pulseaudio-esound-compat-0.9.13-6.fc10.i386
pulseaudio-libs-0.9.13-6.fc10.i386
pulseaudio-libs-glib2-0.9.13-6.fc10.i386
pulseaudio-libs-zeroconf-0.9.13-6.fc10.i386
pulseaudio-module-gconf-0.9.13-6.fc10.i386
pulseaudio-module-x11-0.9.13-6.fc10.i386
pulseaudio-utils-0.9.13-6.fc10.i386


How reproducible:
Often

Steps to Reproduce:
1. Start a movie
2.
3.
  
Actual results:
No sound

Expected results:
Sound

Additional info:
Comment 1 Lennart Poettering 2009-01-05 14:38:36 EST
This has been fixed upstream, I will upload a fixed RPM shortly to rawhide and f10
Comment 2 Roderick Johnstone 2009-01-07 10:13:17 EST
Do you have a reference to the upstream bug?

Note You need to log in before you can comment on or make changes to this bug.